Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util.xml
Class SimpleTransformErrorListener

    java.lang.Object
      org.springframework.util.xml.SimpleTransformErrorListener

All Implemented Interfaces:
  javax.xml.transform.ErrorListener

    public class SimpleTransformErrorListener

extends java.lang.Object
implements javax.xml.transform.ErrorListener

Simple `javax.xml.transform.ErrorListener` implementation: logs warnings using the given Commons Logging logger instance, and rethrows errors to discontinue the XML transformation.

Since:
  1.2
Author:
  Juergen Hoeller

Constructor Summary
`SimpleTransformErrorListener(org.apache.commons.logging.Log logger)` Create a new SimpleTransformErrorListener for the given Commons Logging logger instance.

Method Summary
`void` | `error(javax.xml.transform.TransformerException ex)`
`void` | `fatalError(javax.xml.transform.TransformerException ex)`
`void` | `warning(javax.xml.transform.TransformerException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTransformErrorListener

    public SimpleTransformErrorListener(org.apache.commons.logging.Log logger)

  Create a new SimpleTransformErrorListener for the given Commons Logging logger instance.

Method Detail

### warning

    public void warning(javax.xml.transform.TransformerException ex)
                 throws javax.xml.transform.TransformerException

  Specified by:
    `warning` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### error

    public void error(javax.xml.transform.TransformerException ex)
               throws javax.xml.transform.TransformerException

  Specified by:
    `error` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException ex)
                    throws javax.xml.transform.TransformerException

  Specified by:
    `fatalError` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD